---
# Cop supports --autocorrect.
Layout/SpaceInLambdaLiteral:
  Exclude:
    - 'app/models/jira_connect_installation.rb'
    - 'app/models/jira_connect_subscription.rb'
    - 'app/models/jira_import_state.rb'
    - 'app/models/key.rb'
    - 'app/models/label.rb'
    - 'app/models/label_link.rb'
    - 'app/models/lfs_object.rb'
    - 'app/models/lfs_objects_project.rb'
    - 'app/models/loose_foreign_keys/deleted_record.rb'
    - 'app/models/member.rb'
    - 'app/models/members/group_member.rb'
    - 'app/models/merge_request.rb'
    - 'app/models/merge_request_diff.rb'
    - 'app/models/milestone.rb'
    - 'app/models/namespace.rb'
    - 'app/models/namespace_statistics.rb'
    - 'app/models/note.rb'
    - 'app/models/note_diff_file.rb'
    - 'app/serializers/deploy_keys/basic_deploy_key_entity.rb'
    - 'app/serializers/deployment_cluster_entity.rb'
    - 'app/serializers/deployment_entity.rb'
    - 'app/serializers/detailed_status_entity.rb'
    - 'app/serializers/diff_file_base_entity.rb'
    - 'app/serializers/diff_file_entity.rb'
    - 'app/serializers/diffs_entity.rb'
    - 'app/serializers/discussion_entity.rb'
    - 'app/serializers/draft_note_entity.rb'
    - 'app/serializers/environment_entity.rb'
    - 'app/serializers/feature_flag_entity.rb'
    - 'app/serializers/issue_board_entity.rb'
    - 'app/serializers/issue_entity.rb'
    - 'app/serializers/issue_sidebar_basic_entity.rb'
    - 'ee/app/serializers/blocking_merge_request_entity.rb'
    - 'ee/app/serializers/clusters/environment_entity.rb'
    - 'ee/app/serializers/dashboard_operations_project_entity.rb'
    - 'ee/app/serializers/ee/blob_entity.rb'
    - 'ee/app/serializers/ee/build_detail_entity.rb'
    - 'ee/app/serializers/ee/environment_entity.rb'
    - 'ee/app/serializers/ee/evidences/release_entity.rb'
    - 'ee/app/serializers/ee/issue_entity.rb'
    - 'ee/app/serializers/ee/issue_sidebar_basic_entity.rb'
    - 'ee/app/serializers/ee/issue_sidebar_extras_entity.rb'
    - 'ee/app/serializers/ee/merge_request_poll_cached_widget_entity.rb'
    - 'ee/app/serializers/ee/merge_request_poll_widget_entity.rb'
    - 'ee/app/serializers/ee/merge_request_widget_entity.rb'
    - 'ee/app/serializers/ee/note_entity.rb'
    - 'ee/app/serializers/epic_base_entity.rb'
    - 'ee/app/serializers/epic_entity.rb'
    - 'ee/app/serializers/epic_note_entity.rb'
    - 'ee/app/serializers/linked_epic_issue_entity.rb'
    - 'ee/app/serializers/metrics_report_metric_entity.rb'
    - 'ee/app/serializers/vulnerabilities/feedback_entity.rb'
    - 'ee/app/serializers/vulnerabilities/finding_entity.rb'
    - 'ee/app/serializers/vulnerability_note_entity.rb'
    - 'lib/atlassian/jira_connect/serializers/author_entity.rb'
    - 'lib/bulk_imports/groups/transformers/group_attributes_transformer.rb'
    - 'lib/container_registry/base_client.rb'
    - 'lib/container_registry/client.rb'
    - 'lib/event_filter.rb'
    - 'lib/file_size_validator.rb'
    - 'lib/gitlab/analytics/date_filler.rb'
    - 'lib/gitlab/background_migration/backfill_internal_on_notes.rb'
    - 'lib/gitlab/background_migration/backfill_project_namespace_on_issues.rb'
    - 'lib/gitlab/background_migration/backfill_work_item_type_id_for_issues.rb'
    - 'lib/gitlab/background_migration/populate_latest_pipeline_ids.rb'
    - 'lib/gitlab/background_migration/purge_stale_security_scans.rb'
    - 'lib/gitlab/cache/helpers.rb'
    - 'lib/gitlab/ci/config/entry/inherit/default.rb'
    - 'lib/gitlab/ci/config/entry/inherit/variables.rb'
    - 'lib/gitlab/ci/config/entry/key.rb'
    - 'lib/gitlab/ci/config/entry/need.rb'
    - 'lib/gitlab/ci/config/entry/policy.rb'
    - 'lib/gitlab/ci/config/entry/product/parallel.rb'
    - 'lib/gitlab/ci/config/entry/retry.rb'
    - 'lib/gitlab/ci/config/entry/rules/rule/changes.rb'
    - 'lib/gitlab/ci/config/entry/trigger.rb'
    - 'lib/gitlab/ci/config/entry/variable.rb'
